<?php
/**
 * @package Themetastico
 */

// Define the num val for 'alt' classes (in post DIV and comment LI)
$themetastico_post_alt = 1;

// Custom callback to list comments
function themetastico_comments($comment, $args, $depth) {
    $GLOBALS['comment'] = $comment;
	$GLOBALS['comment_depth'] = $depth;
    ?>
    	<li <?php comment_class() ?> id="comment-<?php comment_ID() ?>">
    		<div class="comment-author vcard">
    			<?php themetastico_commenter_link() ?>
				<div class="comment-meta"><?php printf(__('%1$s at %2$s <a href="%3$s" title="Permalink to this comment">#</a>', 'themetastico'),
					get_comment_date(),
					get_comment_time(),
					'#comment-' . get_comment_ID() );
					edit_comment_link(__('Edit', 'themetastico'), ' <span class="meta-sep">|</span> <span class="edit-link">', '</span>');
					delete_comment_link(get_comment_ID());
				?>
	    		</div>
    		</div>
            <div class="comment-content">
			    <?php if($comment->comment_approved == '0') _e("\t\t\t\t\t<p class=\"unapproved\">Your comment is awaiting moderation.</p>\n", 'themetastico') ?>
        		<?php comment_text() ?>
        		<?php
        			if($args['type'] == 'all' || get_comment_type() == 'comment') {
						comment_reply_link(array_merge($args, array(
						'reply_text' => __('Reply comment','themetastico'), 
						'login_text' => __('Log in to reply.','themetastico'),
						'depth' => $depth,
						'before' => '<p class="reply-comment-link">', 
						'after' => '</p>'
						)));
					}
				?>
    		</div>
<?php }

// Custom callback to list pings
function themetastico_pings($comment, $args, $depth) {
       $GLOBALS['comment'] = $comment;
        ?>
    		<li <?php comment_class() ?> id="comment-<?php comment_ID() ?>">
    			<div class="comment-author"><?php echo get_comment_author_link(); ?> 
				<span class="comment-meta">(<?php printf( __('%1$s', 'themetastico'), get_comment_date() );
					edit_comment_link(__('Edit', 'themetastico'), ' <span class="meta-sep">|</span> <span class="edit-link">', '</span>');
					delete_comment_link(get_comment_ID());
				?>)</span></div>

    <?php if($comment->comment_approved == '0') _e('\t\t\t\t\t<span class="unapproved">Your trackback is awaiting moderation.</span>\n', 'themetastico') ?>
            <div class="comment-content">
    			<?php comment_text() ?>
			</div>
<?php 
}

// Produces an avatar image with the hCard-compliant photo class
function themetastico_commenter_link() {
	$commenter = get_comment_author_link();
	if( ereg( '<a[^>]* class=[^>]+>', $commenter ) ) {
		$commenter = ereg_replace( '(<a[^>]* class=[\'"]?)', '\\1url ' , $commenter );
	} else {
		$commenter = ereg_replace( '(<a )/', '\\1class="url "' , $commenter );
	}
	$avatar_email = get_comment_author_email();
	$avatar_size = apply_filters( 'avatar_size', '32' ); // Available filter: avatar_size
	$avatar = str_replace( "class='avatar", "class='photo avatar", get_avatar( $avatar_email, $avatar_size ) );
	echo $avatar . ' <span class="fn n">' . $commenter . '</span>';
}

// Delete or mark as spam comment link
function delete_comment_link($id) {
	if(current_user_can('edit_post')) {
		echo ' <span class="meta-sep">|</span> <span class="delete-comment-link"><a href="'.admin_url("comment.php?action=cdc&amp;c=$id").'">'.__('Delete', 'themetastico').'</a></span>';
		echo ' <span class="meta-sep">|</span> <span class="spam-comment-link"><a href="'.admin_url("comment.php?action=cdc&amp;dt=spam&amp;c=$id").'">'.__('Spam', 'themetastico').'</a></span>';
	}
}

?>