<?php
/**
 * @package Themetastico
 */

// Page Navigation
function themetastico_pagination() {
	global $wpdb, $wp_query;
	
	if(!is_single()) {
		// Get variables
		$posts_per_page = intval(get_query_var('posts_per_page')); // post showed per page
		$paged = intval(get_query_var('paged')); // if it's paged wich page is
		$numposts = $wp_query->found_posts; // Total posts found
		$max_page = $wp_query->max_num_pages; // Max number of pages

		// Set variables
		if(empty($paged) || $paged == 0) {
			$paged = 1;
		}
		$pages_to_show = 5;
		$larger_page_to_show = 0;
		$larger_page_multiple = 10;
		$pages_to_show_minus_1 = $pages_to_show - 1;
		$half_page_start = floor($pages_to_show_minus_1/2);
		$half_page_end = ceil($pages_to_show_minus_1/2);
		$start_page = $paged - $half_page_start;
		if($start_page <= 0) {
			$start_page = 1;
		}
		$end_page = $paged + $half_page_end;
		if(($end_page - $start_page) != $pages_to_show_minus_1) {
			$end_page = $start_page + $pages_to_show_minus_1;
		}
		if($end_page > $max_page) {
			$start_page = $max_page - $pages_to_show_minus_1;
			$end_page = $max_page;
		}
		if($start_page <= 0) {
			$start_page = 1;
		}
		$larger_per_page = $larger_page_to_show*$larger_page_multiple;
		$larger_start_page_start = (themetastico_round($start_page, 10) + $larger_page_multiple) - $larger_per_page;
		$larger_start_page_end = themetastico_round($start_page, 10) + $larger_page_multiple;
		$larger_end_page_start = themetastico_round($end_page, 10) + $larger_page_multiple;
		$larger_end_page_end = themetastico_round($end_page, 10) + ($larger_per_page);
		if($larger_start_page_end - $larger_page_multiple == $start_page) {
			$larger_start_page_start = $larger_start_page_start - $larger_page_multiple;
			$larger_start_page_end = $larger_start_page_end - $larger_page_multiple;
		}
		if($larger_start_page_start <= 0) {
			$larger_start_page_start = $larger_page_multiple;
		}
		if($larger_start_page_end > $max_page) {
			$larger_start_page_end = $max_page;
		}
		if($larger_end_page_end > $max_page) {
			$larger_end_page_end = $max_page;
		}
		
		// Begin pagination
		if($max_page > 1) {
			echo '<span class="pages">'. sprintf(__('Page %d of %d', 'themetastico'), $paged, $max_page) .'</span>';
			
			if($start_page >= 2 && $pages_to_show < $max_page) {
				echo '<a href="'.esc_url(get_pagenum_link()).'" class="first" title="'.__( 'First', 'themetastico' ).'">'.__( 'First', 'themetastico' ).'</a>';
			}
						
			previous_posts_link('&larr;');
			
			for($i = $start_page; $i  <= $end_page; $i++) {						
				if($i == $paged) {
					echo '<span class="current">'.$i.'</span>';
				} else {
					echo '<a href="'.esc_url(get_pagenum_link($i)).'" class="page" title="'.$i.'">'.$i.'</a>';
				}
			}
			
			next_posts_link('&rarr;');
						
			if($end_page < $max_page) {
				echo '<a href="'.esc_url(get_pagenum_link($max_page)).'" class="last" title="'.__('Last', 'themetastico').'">'.__('Last', 'themetastico').'</a>';
			}
		}
	}
}

// Round To The Nearest Value
function themetastico_round($num, $tonearest) {
   return floor($num/$tonearest)*$tonearest;
}

?>