<?php
/**
 * @package Themetastico
 */

// General settings for the theme
$settings_general = array (
	array(	"type" => 'open'),
	
	array(	"name" => __('Design options', 'themetastico'),
			"type" => 'title'),
			
	array(	"name" => __('Show summary for each article in front page?', 'themetastico'),
			"desc" => __('If checked, summary for each article will show in front page', 'themetastico'),
			"id" => 'themetastico_show_summary',
			"type" => 'checkbox',
			"data_type" => 'int',
			"default" => ''),

	array(	"name" => __('Where do you want to show the sidebar?', 'themetastico'),
			"desc" => __('Where do you want to show the bar?', 'themetastico'),
			"id" => 'themetastico_which_css',
			"options" => array( array(__('Right side', 'themetastico'), 'right'), array(__('Left side', 'themetastico'), 'left'), array(__('Both sides', 'themetastico'), 'both') ),
			"type" => 'select',
			"data_type" => 'nohtml',
			"default" => ''),
			
	array(	"name" => __('URL for custom favicon:', 'themetastico'),
			"desc" => sprintf( __('It uses %s by default', 'themetastico'), get_template_directory_uri().'/images/favicon.ico' ),
			"id" => 'themetastico_favicon_url',
			"type" => 'text',
			"data_type" => 'nohtml',
			"default" => ''),

	array(	"name" => __('Slideshow', 'themetastico'),
			"type" => 'title'),
			
	array(	"name" => __('Show slideshow with featured posts in front page?', 'themetastico'),
			"desc" => __('If checked, a slideshow will show featued posts', 'themetastico'),
			"id" => 'themetastico_show_slideshow',
			"type" => 'checkbox',
			"data_type" => 'int',
			"default" => ''),

	array(	"name" => __('Name of the category with featured posts', 'themetastico'),
			"desc" => __('The name of the category that contains featured posts', 'themetastico'),
			"id" => 'themetastico_featured_category',
			"type" => 'text',
			"data_type" => 'nohtml',
			"default" => ''),
		
	array(	"name" => __('How many posts in slideshow?', 'themetastico'),
			"desc" => __('How many posts in slideshow will be show?', 'themetastico'),
			"id" => 'themetastico_posts_per_slideshow',
			"options" => array( array('1', '1'), array('2', '2'), array('3', '3'), array('4', '4'), array('5', '5'), array('10', '10'), array('15', '15'), array('20', '20') ),
			"type" => 'select',
			"data_type" => 'int',
			"default" => ''),

	array(	"name" => __('Sharing options', 'themetastico'),
			"type" => 'title'),
			
	array(	"name" => __('Show sharing buttons?', 'themetastico'),
			"desc" => __('If checked, articles will show the buttons for sharing', 'themetastico'),
			"id" => 'themetastico_show_sharing_buttons',
			"type" => 'checkbox',
			"data_type" => 'int',
			"default" => ''),

	array(	"name" => __('Button design', 'themetastico'),
			"desc" => __('There are three options: Horizontal in standart display, horizontal with counter in a side and box with counter in top', 'themetastico'),
			"id" => 'themetastico_layout_sharing_buttons',
			"options" => array( array(__('Horizontal in standart display', 'themetastico'), 'standart'), array(__('Horizontal with counter', 'themetastico'), 'horizontal'), array(__('Box with counter in top', 'themetastico'), 'box') ),
			"type" => 'select',
			"data_type" => 'nohtml',
			"default" => ''),

	array(	"name" => __('Twitter', 'themetastico'),
			"desc" => __('Show send to Twitter Button?', 'themetastico'),
			"id" => 'themetastico_use_twitter',
			"type" => 'checkbox',
			"data_type" => 'int',
			"default" => ''),

	array(	"name" => __('Facebook Like Button', 'themetastico'),
			"desc" => __('Show Facebook Like Button?', 'themetastico'),
			"id" => 'themetastico_use_facebook_like',
			"type" => 'checkbox',
			"data_type" => 'int',
			"default" => ''),

	array(	"name" => __('Share on Facebook Button', 'themetastico'),
			"desc" => __('Show share on Facebook button?', 'themetastico'),
			"id" => 'themetastico_use_facebook_share',
			"type" => 'checkbox',
			"data_type" => 'int',
			"default" => ''),

	array(	"name" => __('Google Buzz', 'themetastico'),
			"desc" => __('Show button to post to Google Buzz?', 'themetastico'),
			"id" => 'themetastico_use_buzz',
			"type" => 'checkbox',
			"data_type" => 'int',
			"default" => ''),

	array(	"name" => __('Google +1', 'themetastico'),
			"desc" => __('Show button to recommend vía Google +1?', 'themetastico'),
			"id" => 'themetastico_use_plus1',
			"type" => 'checkbox',
			"data_type" => 'int',
			"default" => ''),

	array(	"name" => __('Send by email', 'themetastico'),
			"desc" => __('Show button to send post link by email?', 'themetastico'),
			"id" => 'themetastico_use_sendbymail',
			"type" => 'checkbox',
			"data_type" => 'int',
			"default" => ''),

	array(	"name" => __('Social networks', 'themetastico'),
			"type" => 'title'),

	array(	"name" => __('Twitter username:', 'themetastico'),
			"desc" => __('Enter your Twitter username', 'themetastico'),
			"id" => 'themetastico_twitter_user',
			"type" => 'text',
			"data_type" => 'nohtml',
			"default" => ''),
		
	array(	"name" => __('Facebook page URL:', 'themetastico'),
			"desc" => __('Enter the URL from your Facebook page, example: http://facebook.com/techtastico', 'themetastico'),
			"id" => 'themetastico_facebook_page_url',
			"type" => 'text',
			"data_type" => 'nohtml',
			"default" => ''),
		
	array(	"name" => __('Custom RSS feed', 'themetastico'),
			"type" => 'title'),

	array(	"name" => __('URL for custom RSS:', 'themetastico'),
			"desc" => __('Example: http://feeds.feedburner.com/carlosleopoldo', 'themetastico'),
			"id" => 'themetastico_custom_rss_url',
			"type" => 'text',
			"data_type" => 'nohtml',
			"default" => ''),
		
	array(	"name" => __('URL for comments custom RSS:', 'themetastico'),
			"desc" => __('Example: http://feeds.feedburner.com/carlosleopoldo/comentarios', 'themetastico'),
			"id" => 'themetastico_custom_comments_rss_url',
			"type" => 'text',
			"data_type" => 'nohtml',
			"default" => ''),
		
	array(	"name" => __('Feedburner', 'themetastico'),
			"type" => 'title'),

	array(	"name" => __('Feedburner ID:', 'themetastico'),
			"desc" => __('Enter your Feedburner ID (<a href="#">How to find your Feedburner ID</a>)', 'themetastico'),
			"id" => 'themetastico_feedburner_id',
			"type" => 'text',
			"data_type" => 'nohtml',
			"default" => ''),

	array(	"name" => __('Email subscriptions by Feedburner', 'themetastico'),
			"desc" => __('Use email subscriptions feature from Feedburner? first, you must have enabled this feature on Feedburner website, then add the widget', 'themetastico'),
			"id" => 'themetastico_use_email_subscriptions',
			"type" => 'checkbox',
			"data_type" => 'int',
			"default" => ''),

	array(	"name" => __('Show subscribers counter', 'themetastico'),
			"desc" => __('Show subscribers counter? first, you must have enabled Awareness API on Feedburner website.', 'themetastico'),
			"id" => 'themetastico_show_subscribers',
			"type" => 'checkbox',
			"data_type" => 'int',
			"default" => ''),

	array(	"name" => __('Personalize footer message', 'themetastico'),
			"type" => 'title'),

	array(	"name" => __('Change the text in the footer of the page', 'themetastico'),
			"desc" => __('Here you can change the text in the footer of the page, for example you can put here a copyright message.', 'themetastico'),
			"id" => 'themetastico_footer_credits',
			"type" => 'textarea',
			"data_type" => 'html',
			"default" => ''),

	array(	"name" => __('Google Analytics integration', 'themetastico'),
			"type" => 'title'),
			
	array(	"name" => __('Google Analytics code:', 'themetastico'),
			"desc" => __('Enter your Google Analytics code in this box', 'themetastico'),
			"id" => 'themetastico_analytics_code',
			"type" => 'textarea',
			"data_type" => 'html',
			"default" => ''),

	array(	"name" => __('Lazy load', 'themetastico'),
			"type" => 'title'),
			
	array(	"name" => __('Use lazy load:', 'themetastico'),
			"desc" => __('Using lazy load on long web pages containing many large images makes the page load faster', 'themetastico'),
			"id" => 'themetastico_use_lazy_load',
			"type" => 'checkbox',
			"data_type" => 'int',
			"default" => ''),

	array(	"name" => __('Insert custom code', 'themetastico'),
			"type" => 'title'),

	array(	"name" => __('Code inside of &lt;header&gt; and &lt;/header&gt;:', 'themetastico'),
			"desc" => __('Here you can add any kind of code HTML, CSS or Javascript inside of &lt;header&gt; and &lt;/header&gt; tags, this is useful to add a custom CSS or Javascript to the header', 'themetastico'),
			"id" => 'themetastico_header_code',
			"type" => 'textarea',
			"data_type" => 'html',
			"default" => ''),

	array(	"name" => __('Code above of &lt;/body&gt;:', 'themetastico'),
			"desc" => __('Here you can add any kind of code HTML or Javascript above of &lt;/body&gt; tag, this is useful to add a custom Javascript or a footer message', 'themetastico'),
			"id" => 'themetastico_footer_code',
			"type" => 'textarea',
			"data_type" => 'html',
			"default" => ''),
			
	array(	"name" => __('Insert custom content after each post', 'themetastico'),
			"type" => 'title'),

	array(	"name" => __('Custom content after each post:', 'themetastico'),
			"desc" => __('This content will be shown after each post in single pages.', 'themetastico') . __("<br />You can use the following variables:<br /><strong>%BLOG_URL%</strong> - To show blog's URL<br /><strong>%BLOG_NAME%</strong> - To show blog's name<br /><strong>%BLOG_DESCRIPTION%</strong> - To show blog's description<br /><strong>%POST_TITLE%</strong> - To show the title of current post<br /><strong>%POST_URL%</strong> - To show the URL of current post", 'themetastico'),
			"id" => 'themetastico_after_post',
			"type" => 'textarea',
			"data_type" => 'html',
			"default" => ''),

	array(	"name" => __('Custom content after each post in feeds:', 'themetastico'),
			"desc" => __('This content will be shown after each post in feeds, thi is useful to show a copyright message or whatever.', 'themetastico') . __("<br />You can use the following variables:<br /><strong>%BLOG_URL%</strong> - To show blog's URL<br /><strong>%BLOG_NAME%</strong> - To show blog's name<br /><strong>%BLOG_DESCRIPTION%</strong> - To show blog's description<br /><strong>%POST_TITLE%</strong> - To show the title of current post<br /><strong>%POST_URL%</strong> - To show the URL of current post", 'themetastico'),
			"id" => 'themetastico_after_feed',
			"type" => 'textarea',
			"data_type" => 'html',
			"default" => ''),

	array(	"type" => 'close')
	
);

// Settings for ads
$settings_ads = array (
			
	array(	"type" => 'open'),
	
	array(	"name" => __('Ads in home', 'themetastico'),
			"type" => 'title'),

	array(	"name" => __('Code for ads in header:', 'themetastico'),
			"desc" => __('You can use Adsense ads or any kind of ads', 'themetastico'),
			"id" => 'themetastico_home_header_ad_code',
			"type" => 'textarea',
			"data_type" => 'html',
			"default" => ''),
		
	array(	"name" => __('Code for ads in first block:', 'themetastico'),
			"desc" => __('You can use Adsense ads or any kind of ads', 'themetastico'),
			"id" => 'themetastico_home1_ad_code',
			"type" => 'textarea',
			"data_type" => 'html',
			"default" => ''),

	array(	"name" => __('Code for ads in second block:', 'themetastico'),
			"desc" => __('You can use Adsense ads or any kind of ads', 'themetastico'),
			"id" => 'themetastico_home2_ad_code',
			"type" => 'textarea',
			"data_type" => 'html',
			"default" => ''),

	array(	"name" => __('Code for ads in third block:', 'themetastico'),
			"desc" => __('You can use Adsense ads or any kind of ads', 'themetastico'),
			"id" => 'themetastico_home3_ad_code',
			"type" => 'textarea',
			"data_type" => 'html',
			"default" => ''),
		
	array(	"name" => __('Ads in posts', 'themetastico'),
			"type" => 'title'),

	array(	"name" => __('Code for ads in header:', 'themetastico'),
			"desc" => __('You can use Adsense ads or any kind of ads', 'themetastico'),
			"id" => 'themetastico_post_header_ad_code',
			"type" => 'textarea',
			"data_type" => 'html',
			"default" => ''),

	array(	"name" => __('Code for ads in first block:', 'themetastico'),
			"desc" => __('You can use Adsense ads or any kind of ads', 'themetastico'),
			"id" => 'themetastico_post1_ad_code',
			"type" => 'textarea',
			"data_type" => 'html',
			"default" => ''),

	array(	"name" => __('Code for ads in second block:', 'themetastico'),
			"desc" => __('You can use Adsense ads or any kind of ads', 'themetastico'),
			"id" => 'themetastico_post2_ad_code',
			"type" => 'textarea',
			"data_type" => 'html',
			"default" => ''),

	array(	"name" => __('Code for ads in third block:', 'themetastico'),
			"desc" => __('You can use Adsense ads or any kind of ads', 'themetastico'),
			"id" => 'themetastico_post3_ad_code',
			"type" => 'textarea',
			"data_type" => 'html',
			"default" => ''),
		
	array(	"name" => __('Ads in archives', 'themetastico'),
			"type" => 'title'),

	array(	"name" => __('Code for ads in header:', 'themetastico'),
			"desc" => __('You can use Adsense ads or any kind of ads', 'themetastico'),
			"id" => 'themetastico_archive_header_ad_code',
			"type" => 'textarea',
			"data_type" => 'html',
			"default" => ''),
			
	array(	"name" => __('Code for ads in first block:', 'themetastico'),
			"desc" => __('You can use Adsense ads or any kind of ads', 'themetastico'),
			"id" => 'themetastico_archives1_ad_code',
			"type" => 'textarea',
			"data_type" => 'html',
			"default" => ''),

	array(	"name" => __('Code for ads in second block:', 'themetastico'),
			"desc" => __('You can use Adsense ads or any kind of ads', 'themetastico'),
			"id" => 'themetastico_archives2_ad_code',
			"type" => 'textarea',
			"data_type" => 'html',
			"default" => ''),

	array(	"name" => __('Code for ads in third block:', 'themetastico'),
			"desc" => __('You can use Adsense ads or any kind of ads', 'themetastico'),
			"id" => 'themetastico_archives3_ad_code',
			"type" => 'textarea',
			"data_type" => 'html',
			"default" => ''),
			
	array(	"name" => __('Ads in search results', 'themetastico'),
			"type" => 'title'),

	array(	"name" => __('Code for ads in header:', 'themetastico'),
			"desc" => __('You can use Adsense ads or any kind of ads', 'themetastico'),
			"id" => 'themetastico_search_header_ad_code',
			"type" => 'textarea',
			"data_type" => 'html',
			"default" => ''),
			
	array(	"name" => __('Code for ads in first block:', 'themetastico'),
			"desc" => __('You can use Adsense ads or any kind of ads', 'themetastico'),
			"id" => 'themetastico_search1_ad_code',
			"type" => 'textarea',
			"data_type" => 'html',
			"default" => ''),

	array(	"name" => __('Code for ads in second block:', 'themetastico'),
			"desc" => __('You can use Adsense ads or any kind of ads', 'themetastico'),
			"id" => 'themetastico_search2_ad_code',
			"type" => 'textarea',
			"data_type" => 'html',
			"default" => ''),

	array(	"name" => __('Code for ads in third block:', 'themetastico'),
			"desc" => __('You can use Adsense ads or any kind of ads', 'themetastico'),
			"id" => 'themetastico_search3_ad_code',
			"type" => 'textarea',
			"data_type" => 'html',
			"default" => ''),
			
	array(	"type" => 'close')
	
);

// Group all the settings in an array
$themetastico_settings_groups = array(
	'themetastico_settings_general'	=>	$settings_general,
	'themetastico_settings_ads'		=>	$settings_ads
);

// Add theme admin options page
function themetastico_create_menu() {
	global $themetastico_theme_name;

	// Create sub-menus in appearance section
	add_theme_page( sprintf(__('%s general settings', 'themetastico'), $themetastico_theme_name), sprintf(__("Themetastico's settings", 'themetastico'), $themetastico_theme_name), 'edit_theme_options', 'themetastico_settings_general', 'themetastico_settings_general_page' );
	add_theme_page( __( 'Ads', 'themetastico' ), __( 'Ads', 'themetastico' ), 'edit_theme_options', 'themetastico_settings_ads', 'themetastico_settings_ads_page' );

	// Call register settings function
	add_action( 'admin_init', 'themetastico_register_settings' );
}
// Action to add theme options page
add_action( 'admin_menu', 'themetastico_create_menu' );


// Register settings
function themetastico_register_settings() {
	global $themetastico_settings_groups;

	foreach ( $themetastico_settings_groups as  $group => $settings_group ) {
		foreach ( $settings_group as $settings ) {
			if ( $settings['type'] == 'text' || $settings['type'] == 'textarea' || $settings['type'] == 'select' || $settings['type'] == 'checkbox' ) {
				if($settings['data_type'] == 'int') {
					register_setting( $group, $settings['id'], 'intval' );
				} elseif($settings['data_type'] == 'html') {
					register_setting( $group, $settings['id'], 'esc_attr' );
				} else {
					register_setting( $group, $settings['id'], 'wp_filter_nohtml_kses' );
				}
			}
		}
	}
}


// Options for general options page
function themetastico_settings_general_page() {

    global $settings_general, $themetastico_theme_name;
?>
<div class="wrap">

	<h2><?php printf(__('%s general settings', 'themetastico'), $themetastico_theme_name); ?></h2>

	<?php themetastico_generate_settings_page($settings_general, 'themetastico_settings_general'); ?>
	
</div>
<?php
}


// Options for ads page
function themetastico_settings_ads_page() {
	global $settings_ads, $themetastico_theme_name;
?>
<div class="wrap">

	<h2><?php printf( __( 'Ads configuration for %s', 'themetastico' ), $themetastico_theme_name ); ?></h2>
		
	<?php themetastico_generate_settings_page($settings_ads, 'themetastico_settings_ads'); ?>

</div>
<?php
}


// Function to generate settings form
function themetastico_generate_settings_page($settings = array(), $group) {

    if( isset( $_REQUEST['updated'] ) ) {
	    if( $_REQUEST['updated'] ) echo '<div id="message" class="updated fade"><p><strong>'.__('Options saved.', 'themetastico').'</strong></p></div>';
    } 

?>
	<form method="post" action="options.php">

    <?php settings_fields( $group ); ?>

<?php foreach ($settings as $value) { 
    
	switch ( $value['type'] ) {
	
		case "open":
		?>
        	<table class="form-table">
		
		<?php break;
		
		case "close":
		?>
        	</table>
        
		<?php break;
		
		case "title":
		?>
		
			<tr valign="top">
				<th scope="row" colspan="2">
					<h3><?php echo $value['name']; ?></h3>
				</th>
			</tr>

		<?php break;

		case 'text':
		?>
        
	        <tr valign="top">
    	        <th scope="row"><?php echo $value['name']; ?></th>
        	    <td>
        	    	<label>
        	    	<input name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" type="<?php echo $value['type']; ?>" value="<?php echo get_option( $value['id'] ); ?>" class="regular-text" />
        	    	<span class="description"><?php echo $value['desc']; ?></span>
        	    	</label>
        	    </td>
			</tr>
			
		<?php 
		break;
		
		case 'textarea':
		?>
        
	        <tr valign="top">
    	        <th scope="row"><?php echo $value['name']; ?></th>
        	    <td>
        	    	<span class="description"><?php echo $value['desc']; ?></span><br />
        	    	<textarea name="<?php echo $value['id']; ?>" cols="50" rows="6" class="large-text code"><?php echo get_option( $value['id'] ); ?></textarea>
        	    	</td>
			</tr>
			
		<?php 
		break;
		
		case 'select':
		?>

	        <tr valign="top">
    	        <th scope="row"><?php echo $value['name']; ?></th>
        	    <td>
        	    	<select name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>">
        	    	<?php foreach ($value['options'] as $option) { ?>
        	    		<option<?php if( get_option( $value['id'] ) == $option[1] ) { echo ' selected="selected"'; } ?> value="<?php echo $option[1]; ?>"><?php echo $option[0]; ?></option>
        	    	<?php } ?>
        	    	</select>
        	    	<br /><span class="description"><?php echo $value['desc']; ?></span>
        	    </td>
			</tr>

		<?php
        break;
            
		case "checkbox":
		?>

	        <tr valign="top">
    	        <th scope="row"><?php echo $value['name']; ?></th>
        	    <td>
        	    	<label><?php if( get_option($value['id']) == 1 ) { $checked = "checked=\"checked\""; } else { $checked = ""; } ?>
					<input type="checkbox" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" value="1" <?php echo $checked; ?> />
        	    	<span class="description"><?php echo $value['desc']; ?></span>
        	    	</label>
        	    </td>
			</tr>
            
        <?php 		break;
	
		} 
	}
?>
		<p class="submit">
			<input type="submit" class="button-primary" value="<?php _e('Save settings', 'themetastico'); ?>" />
		</p>
		
	</form>
<?php
}

/* Functions to get theme options */

// Show full posts in home?
function themetastico_show_summary() {

	if( get_option('themetastico_show_summary') == false ) {
		return false; 
	} else { 
		return true;
	}

}

// Show slideshow in home?
function themetastico_show_slideshow() {

	if( get_option('themetastico_show_slideshow') == false ) {
		return false; 
	} else { 
		return true;
	}

}

// How many post in slideshow
function themetastico_posts_per_slideshow() {

	if(get_option('themetastico_posts_per_slideshow') === FALSE) {
		return '5';
	} else { 
		return get_option('themetastico_posts_per_slideshow'); 
	}
}

// Category for featured posts
function themetastico_featured_category() {

	if(get_option('themetastico_featured_category') === FALSE) {
		return false;
	} else { 
		return trim(get_option('themetastico_featured_category')); 
	}
}

// URL for favicon
function themetastico_favicon_url() {

	if(get_option('themetastico_favicon_url') != '') {
		return get_option('themetastico_favicon_url'); 
	} else {
		return get_template_directory_uri().'/images/favicon.ico';
	}
}

// Show social networks sharing buttons?
function themetastico_show_sharing_buttons() {

	if( get_option('themetastico_show_sharing_buttons') == false ) {
		return false; 
	} else { 
		return true;
	}

}

// Wich button design is used?
function themetastico_layout_sharing_buttons() {

	if(get_option('themetastico_layout_sharing_buttons') === FALSE) {
		return 'horizontal';
	} else { 
		return get_option('themetastico_layout_sharing_buttons'); 
	}
}

// Show Twitter button?
function themetastico_use_twitter() {

	if( get_option('themetastico_use_twitter') == false ) {
		return false; 
	} else { 
		return true;
	}

}

// Show Facebook Like Button?
function themetastico_use_facebook_like() {

	if( get_option('themetastico_use_facebook_like') == false ) {
		return false; 
	} else { 
		return true;
	}

}

// Show share on facebook button?
function themetastico_use_facebook_share() {

	if( get_option('themetastico_use_facebook_share') == false ) {
		return false; 
	} else { 
		return true;
	}

}

// Show Google Buzz Button?
function themetastico_use_buzz() {

	if( get_option('themetastico_use_buzz') == false ) {
		return false; 
	} else { 
		return true;
	}

}

// Show Google +1 Button?
function themetastico_use_plus1() {

	if( get_option('themetastico_use_plus1') == false ) {
		return false; 
	} else { 
		return true;
	}

}

// Show Google Buzz Button?
function themetastico_use_sendbymail() {

	if( get_option('themetastico_use_sendbymail') == false ) {
		return false; 
	} else { 
		return true;
	}

}

// Twitter username
function themetastico_twitter_user() {

	if(get_option('themetastico_twitter_user') === FALSE) {
		return false;
	} else { 
		return trim(str_replace('@', '', get_option('themetastico_twitter_user'))); 
	}
}

// Load CSS file for right or left sidebar
function themetastico_which_css() {

	if(get_option('themetastico_which_css') === FALSE) {
		return 'right';
	} else { 
		return get_option('themetastico_which_css'); 
	}
}

// Use lazy load?
function themetastico_use_lazy_load() {

	if( get_option('themetastico_use_lazy_load') == false ) {
		return false; 
	} else { 
		return true;
	}

}

// Twitter URL
function themetastico_twitter_url() {
	
	if(themetastico_twitter_user()) {
		return 'http://twitter.com/'.themetastico_twitter_user();
	} else {
		return false;
	}
}

// Facebook URL
function themetastico_facebook_page_url() {

	if(get_option('themetastico_facebook_page_url') === FALSE) {
		return false;
	} else { 
		return get_option('themetastico_facebook_page_url'); 
	}
	
}

// URL for custom RSS
function themetastico_custom_rss_url() {

	if(get_option('themetastico_custom_rss_url') != '') {
		return get_option('themetastico_custom_rss_url'); 
	} else { 
		return false;
	}
}

// URL for custom comments RSS
function themetastico_custom_comments_rss_url() {

	if(get_option('themetastico_custom_comments_rss_url') != '') {
		return get_option('themetastico_custom_comments_rss_url');
	} else { 
		return false;
	}
}

// Feedburner mail subscription
function themetastico_use_email_subscriptions() {

	if(get_option('themetastico_use_email_subscriptions') == false) {
		return false; 
	} else { 
		return true;
	}
}

// Feedburner ID
function themetastico_feedburner_id() {

	if(get_option('themetastico_feedburner_id') === FALSE) {
		return false;
	} else { 
		return get_option('themetastico_feedburner_id'); 
	}
	
}

// Footer cretis message
function themetastico_footer_credits() {

	if(get_option('themetastico_footer_credits') === FALSE) {
		return "";
	} else { 
		return htmlspecialchars_decode( get_option('themetastico_footer_credits') ); 
	}
}

// Code inside of <header> and </header>
function themetastico_header_code() {

	if(get_option('themetastico_header_code') === FALSE) {
		return false;
	} else { 
		echo htmlspecialchars_decode( get_option('themetastico_header_code') )."\n"; 
	}
}
add_action('wp_head', 'themetastico_header_code');

// Code above of </body>
function themetastico_footer_code() {

	if(get_option('themetastico_footer_code') === FALSE) {
		return false;
	} else { 
		echo htmlspecialchars_decode( get_option('themetastico_footer_code') )."\n"; 
	}
}
add_action('wp_footer', 'themetastico_footer_code');

// Convert variables inserted in content
function themetastico_content_variables($insert) {
	
	$insert = str_replace('%BLOG_URL%', site_url( '/' ), $insert);
	$insert = str_replace('%BLOG_NAME%', get_bloginfo( 'name' ), $insert);
	$insert = str_replace('%BLOG_DESCRIPTION%', get_bloginfo( 'description' ), $insert);
	$insert = str_replace('%POST_TITLE%', get_the_title(), $insert);
	$insert = str_replace('%POST_URL%', get_permalink(), $insert);
	
	return $insert;
}

// Insert content after each post
function themetastico_after_post($content) {

	if(get_option('themetastico_after_post') === FALSE) {
		$insert = '';
	} elseif( is_single() ) {
		$content = $content . themetastico_content_variables( htmlspecialchars_decode( get_option('themetastico_after_post') ) );
	}
	return $content;
}
add_filter('the_content', 'themetastico_after_post');

// Insert content after each post in feed
function themetastico_after_feed($content) {

	if(get_option('themetastico_after_feed') === FALSE) {
		$insert = '';
	} elseif( is_feed() ) { 
		$content = $content . themetastico_content_variables( htmlspecialchars_decode( get_option('themetastico_after_feed') ) ); 
	}
	return $content;
}
add_filter('the_excerpt_rss', 'themetastico_after_feed');
add_filter('the_content', 'themetastico_after_feed');

// Code for Google Analytics
function themetastico_analytics_code() {

	if(get_option('themetastico_analytics_code') === FALSE) {
		return false;
	} else { 
		return htmlspecialchars_decode( get_option('themetastico_analytics_code') ); 
	}
}

// Print Google Analytics code
function themetastico_google_analytics() {
	if(themetastico_analytics_code()) {
		echo themetastico_analytics_code();
	}
}
add_action('wp_footer', 'themetastico_google_analytics');

// Show feedburner subscribers
function themetastico_show_subscribers() {

	if(get_option('themetastico_show_subscribers') == false) {
	
		return false;
		
	} else { 
	
		if( themetastico_feedburner_id() ) {
		
			$feedburner_lastcheck = get_option("themetastico_feedburner_lastcheck");
			$feedburner_count = get_option("themetastico_feedburner_count");
			
			if ( $feedburner_lastcheck < ( mktime() - 43200 ) ) {
				$url = rawurlencode( 'https://feedburner.google.com/api/awareness/1.0/GetFeedData?uri='.themetastico_feedburner_id() );
				$xml = simplexml_load_file( $url );
	
				if ( $xml ) {
					$feedburner_count = $xml->feed->entry['circulation'].'';
				}
	
				update_option("themetastico_feedburner_count", $feedburner_count);
				update_option("themetastico_feedburner_lastcheck", mktime());
							
			}
			
			return $feedburner_count;
	
			
		} else {
	
			return false;
		
		}
		
	}
	
}

// Get code for Ads in header
function themetastico_header_ad_code() {
global $paged;

	if(is_front_page()) {
		if(get_option('themetastico_home_header_ad_code') === FALSE) {
			$output = '';
		} else { 
			$output = htmlspecialchars_decode( get_option('themetastico_home_header_ad_code') ); 
		}
		$class = 'home';
	} elseif(is_singular()) {
		if(get_option('themetastico_post_header_ad_code') === FALSE) {
			$output = '';
		} else { 
			$output = htmlspecialchars_decode( get_option('themetastico_post_header_ad_code') ); 
		}
		$class = 'post';
	} elseif(is_archive()) {
		if(get_option('themetastico_archive_header_ad_code') === FALSE) {
			$output = '';
		} else { 
			$output = htmlspecialchars_decode( get_option('themetastico_archive_header_ad_code') ); 
		}
		$class = 'archive';
	} elseif(is_search()) {
		if(get_option('themetastico_search_header_ad_code') === FALSE) {
			$output = '';
		} else { 
			$output = htmlspecialchars_decode( get_option('themetastico_search_header_ad_code') ); 
		}
		$class = 'search';
	} else {
		$output = '';
		$class = '';
	}
	
	if($output != '') {
		$output = '<div id="header-ads-'.$class.'" class="ads ads-header">'.$output.'</div>';
	}
	
	return $output;
}

// Get code for ads in loop for home, archives and search
function themetastico_loop_ad_code() {
	global $wp_query;

	// Get number of post in the current loop
	$posts_per_page = intval(get_query_var('posts_per_page'));
	$paged = intval(get_query_var('paged'));
	$num_posts = $wp_query->found_posts;
	$max_page = $wp_query->max_num_pages;
	if( ( $paged < $max_page ) && ( $posts_per_page < $num_posts ) ) {
		$this_page_num_posts = $posts_per_page;
	} else {
		$this_page_num_posts = $num_posts % $posts_per_page;
	}
	
	$post_count = $wp_query->current_post;
	$post_count = ++$post_count;
	$first = 1;
	$second = intval($this_page_num_posts / 2);
	$thrid = $this_page_num_posts;

	$output = '';
	
	if( is_home() ) { // is home

		$id = 'ads-home'.$post_count;
		$class = 'ads-home';

		if( $post_count == $first ) {
			$output = themetastico_home1_ad_code();
		} elseif( $post_count == $second ) {
			$output = themetastico_home2_ad_code();
		} elseif( $post_count == $thrid ) {
			$output = themetastico_home3_ad_code();
		} else {
			return '';
		}

	} elseif( is_archive() ) { // is archives

		$id = 'ads-archives'.$post_count;
		$class = 'ads-archives';

		if( $post_count == $first ) {
			$output = themetastico_archives1_ad_code();
		} elseif( $post_count == $second ) {
			$output = themetastico_archives2_ad_code();
		} elseif( $post_count == $thrid ) {
			$output = themetastico_archives3_ad_code();
		} else {
			return '';
		}
	
	} else { // is search

		$id = 'ads-search'.$post_count;
		$class = 'ads-search';

		if( $post_count == $first ) {
			$output = themetastico_search1_ad_code();
		} elseif( $post_count == $second ) {
			$output = themetastico_search2_ad_code();
		} elseif( $post_count == $thrid ) {
			$output = themetastico_search3_ad_code();
		} else {
			return '';
		}
	
	}
			
	if($output != '') {
		$output = '	<div id="'.$id.'" class="ads '.$class.'">'.$output.'</div>';
	}
	
	return $output;
}

// Get code for Ads in home top
function themetastico_home1_ad_code() {

	if(get_option('themetastico_home1_ad_code') === FALSE) {
		return '';
	} else { 
		return htmlspecialchars_decode( get_option('themetastico_home1_ad_code') ); 
	}
}


// Get code for Ads in home middle
function themetastico_home2_ad_code() {

	if(get_option('themetastico_home2_ad_code') === FALSE) {
		return '';
	} else { 
		return htmlspecialchars_decode( get_option('themetastico_home2_ad_code') ); 
	}
}


// Get code for Ads in home bottom
function themetastico_home3_ad_code() {

	if(get_option('themetastico_home3_ad_code') === FALSE) {
		return '';
	} else { 
		return htmlspecialchars_decode( get_option('themetastico_home3_ad_code') ); 
	}
}

// Get code for Ads in archives top
function themetastico_archives1_ad_code() {

	if(get_option('themetastico_archives1_ad_code') === FALSE) {
		return '';
	} else { 
		return htmlspecialchars_decode( get_option('themetastico_archives1_ad_code') ); 
	}
}


// Get code for Ads in archives middle
function themetastico_archives2_ad_code() {

	if(get_option('themetastico_archives2_ad_code') === FALSE) {
		return '';
	} else { 
		return htmlspecialchars_decode( get_option('themetastico_archives2_ad_code') ); 
	}
}


// Get code for Ads in archives bottom
function themetastico_archives3_ad_code() {

	if(get_option('themetastico_archives3_ad_code') === FALSE) {
		return '';
	} else { 
		return htmlspecialchars_decode( get_option('themetastico_archives3_ad_code') ); 
	}
}

// Get code for Ads in search top
function themetastico_search1_ad_code() {

	if(get_option('themetastico_search1_ad_code') === FALSE) {
		return '';
	} else { 
		return htmlspecialchars_decode( get_option('themetastico_search1_ad_code') ); 
	}
}


// Get code for Ads in search middle
function themetastico_search2_ad_code() {

	if(get_option('themetastico_search2_ad_code') === FALSE) {
		return '';
	} else { 
		return htmlspecialchars_decode( get_option('themetastico_search2_ad_code') ); 
	}
}

// Get code for Ads in search bottom
function themetastico_search3_ad_code() {

	if(get_option('themetastico_search3_ad_code') === FALSE) {
		return '';
	} else { 
		return htmlspecialchars_decode( get_option('themetastico_search3_ad_code') ); 
	}
}

// Counter for posts
$themetastico_ads_post_count = 0;

// Get code for ads in post
function themetastico_post_ad_code() {
	global $themetastico_ads_post_count;

	$output = '';
	
	if( ++$themetastico_ads_post_count == 1 ) {
		$output = themetastico_post1_ad_code();
	} elseif( $themetastico_ads_post_count == 2 ) {
		$output = themetastico_post2_ad_code();
	} elseif( $themetastico_ads_post_count == 3 ) {
		$output = themetastico_post3_ad_code();
	} else {
		return '';
	}
		
	if($output != '') {
		$output = '<div id="ads-post'.$themetastico_ads_post_count.'" class="ads ads-post">'.$output.'</div>';
	}
	
	return $output;
}

// Get code for Ads in post top
function themetastico_post1_ad_code() {

	if(get_option('themetastico_post1_ad_code') === FALSE) {
		return '';
	} else { 
		return htmlspecialchars_decode( get_option('themetastico_post1_ad_code') ); 
	}
}


// Get code for Ads in post middle
function themetastico_post2_ad_code() {

	if(get_option('themetastico_post2_ad_code') === FALSE) {
		return '';
	} else { 
		return htmlspecialchars_decode( get_option('themetastico_post2_ad_code') ); 
	}
}


// Get code for Ads in post bottom
function themetastico_post3_ad_code() {

	if(get_option('themetastico_post3_ad_code') === FALSE) {
		return '';
	} else { 
		return htmlspecialchars_decode( get_option('themetastico_post3_ad_code') ); 
	}
}

?>