<?php
/**
 * @package Themetastico
 */

// Sharing buttons
function themetastico_sharing() {
	global $post;
	
	if( themetastico_has_sharing() ) {
		if ( themetastico_layout_sharing_buttons() == 'horizontal' ) { // horizontal buttons
			$ul_class = 'buttons-horizontal';
			$twitter_data_count = 'horizontal';
			$facebook_share_layout = 'button';
			$facebook_layout = 'button_count';
			$facebook_height = '20';
			$buzz_style = 'small-count';
			$plus1_style = 'medium';
		} elseif(themetastico_layout_sharing_buttons() == 'box') { // box buttons
			$ul_class = 'buttons-box';
			$twitter_data_count = 'vertical';
			$facebook_share_layout = 'box_count';
			$facebook_layout = 'box_count';
			$facebook_height = '65';
			$buzz_style = 'normal-count';
			$plus1_style = 'tall';
		} elseif(themetastico_layout_sharing_buttons() == 'standart') { // standart buttons
			$ul_class = 'buttons-standart';
			$twitter_data_count = 'none';
			$facebook_share_layout = 'button';
			$facebook_layout = 'button_count';
			$facebook_height = '20';
			$buzz_style = 'small-button';
			$plus1_style = 'medium';
		}
?>
						<ul class="<?php echo $ul_class; ?>">
<?php if(themetastico_use_twitter()) : ?>
							<li class="share-twitter"><a href="http://twitter.com/share" class="twitter-share-button" data-url="<?php the_permalink(); ?>" data-text="<?php the_title_attribute(); ?>" data-count="<?php echo $twitter_data_count; ?>"<?php if(themetastico_twitter_user()) { echo ' data-via="'.themetastico_twitter_user().'"'; } ?> data-lang="<?php _e('en', 'themetastico'); ?>" rel="nofollow">Tweet</a></li>
<?php endif; ?>
<?php if(themetastico_use_facebook_like()) : ?>
							<li class="like-facebook"><iframe src="http://www.facebook.com/plugins/like.php?href=<?php echo urlencode(get_permalink()); ?>&amp;layout=<?php echo $facebook_layout; ?>&amp;show_faces=false&amp;width=110&amp;action=like&amp;colorscheme=light&amp;height=<?php echo $facebook_height; ?>" scrolling="no" frameborder="0" allowTransparency="true"></iframe></li>
<?php endif; ?>
<?php if(themetastico_use_facebook_share()) : ?>
							<li class="share-facebook"><a name="fb_share" type="<?php echo $facebook_share_layout; ?>" href="http://www.facebook.com/sharer.php" share_url="<?php the_permalink(); ?>"><?php _e( 'Share', 'themetastico' ); ?></a></li>
<?php endif; ?>
<?php if(themetastico_use_buzz()) : ?>
							<li class="share-buzz"><a title="Post to Google Buzz" class="google-buzz-button" href="http://www.google.com/buzz/post" data-button-style="<?php echo $buzz_style; ?>" data-url="<?php echo the_permalink(); ?>"<?php $post_thumbnail_src = themetastico_get_post_thumbnail_src(); if($post_thumbnail_src) { echo ' data-imageurl="'.$post_thumbnail_src.'"'; } ?> rel="nofollow"></a></li>
<?php endif; ?>
<?php if(themetastico_use_plus1()) : ?>
							<li class="share-plus1"><g:plusone size="<?php echo $plus1_style; ?>" href="<?php the_permalink(); ?>"></g:plusone></li>
<?php endif; ?>
<?php if(themetastico_use_sendbymail()) : ?>
							<li class="share-email"><a title="<?php _e('Send by email', 'themetastico'); ?>" href="mailto:?subject=<?php echo urlencode(the_title_attribute('echo=0')); ?>&amp;body=<?php echo urlencode(get_permalink()); ?>" target="_blank" rel="nofollow"><?php _e('Email', 'themetastico'); ?></a></li>
<?php endif; ?>
						</ul>
<?php
	}
}

// Verifies if entry-meta will show in page
function themetastico_has_sharing() {
	if( ( themetastico_show_sharing_buttons() ) && ( themetastico_use_twitter() || themetastico_use_facebook_like() || themetastico_use_buzz() || themetastico_use_plus1() || themetastico_use_sendbymail() ) ) {
		return true;
	} else {
		return false;
	}
}

?>