<?php
/**
 * @package Themetastico
 */

// Widgets: intializes the plugin after the widgets above have passed snuff
function themetastico_widgets_init() {
	if( !function_exists('register_sidebars') )
		return;

	// Register sidebars
	// Shown in home. Empty by default.
	register_sidebar( array(
		'name'			=> __('Home sidebar', 'themetastico'),
		'id'			=> 'home_sidebar',
		'description'	=> __('Sidebar to show in home page', 'themetastico'),
		'before_widget'  =>   "\n\t\t\t" . '<li id="%1$s" class="widget-container %2$s">',
		'after_widget'   =>   "\n\t\t\t</li>\n",
		'before_title'   =>   "\n\t\t\t\t". '<h3 class="widget-title">',
		'after_title'    =>   "</h3>\n"
	) );

	// Shown in posts, attachments and images. Empty by default.
	register_sidebar( array(
		'name'			=> __('Post sidebar', 'themetastico'),
		'id'			=> 'single_sidebar',
		'description'	=> __('Sidebar to show in posts and attachments', 'themetastico'),
		'before_widget'  =>   "\n\t\t\t" . '<li id="%1$s" class="widget-container %2$s">',
		'after_widget'   =>   "\n\t\t\t</li>\n",
		'before_title'   =>   "\n\t\t\t\t". '<h3 class="widget-title">',
		'after_title'    =>   "</h3>\n"
	) );

	// Shown in pages. Empty by default.
	register_sidebar( array(
		'name'			=> __('Pages sidebar', 'themetastico'),
		'id'			=> 'page_sidebar',
		'description'	=> __('Sidebar to show in pages', 'themetastico'),
		'before_widget'  =>   "\n\t\t\t" . '<li id="%1$s" class="widget-container %2$s">',
		'after_widget'   =>   "\n\t\t\t</li>\n",
		'before_title'   =>   "\n\t\t\t\t". '<h3 class="widget-title">',
		'after_title'    =>   "</h3>\n"
	) );

	// Shown in archives (Categories, Tags, Dates, Authors). Empty by default.
	register_sidebar( array(
		'name'			=> __('Archives sidebar', 'themetastico'),
		'id'			=> 'archive_sidebar',
		'description'	=> __('Sidebar to show in archives', 'themetastico'),
		'before_widget'  =>   "\n\t\t\t" . '<li id="%1$s" class="widget-container %2$s">',
		'after_widget'   =>   "\n\t\t\t</li>\n",
		'before_title'   =>   "\n\t\t\t\t". '<h3 class="widget-title">',
		'after_title'    =>   "</h3>\n"
	) );

	// Shown in search results. Empty by default.
	register_sidebar( array(
		'name'			=> __('Search sidebar', 'themetastico'),
		'id'			=> 'search_sidebar',
		'description'	=> __('Sidebar to show in search results', 'themetastico'),
		'before_widget'  =>   "\n\t\t\t" . '<li id="%1$s" class="widget-container %2$s">',
		'after_widget'   =>   "\n\t\t\t</li>\n",
		'before_title'   =>   "\n\t\t\t\t". '<h3 class="widget-title">',
		'after_title'    =>   "</h3>\n"
	) );

	// Widgets to show in right sidebar when using tw sidebars
	if( themetastico_which_css() == 'both' ) {

		// Shown in home. Empty by default.
		register_sidebar( array(
			'name'			=> __('Secondary home sidebar', 'themetastico'),
			'id'			=> 'home_sidebar_secondary',
			'description'	=> __('Secondary sidebar to show in home page', 'themetastico'),
			'before_widget'  =>   "\n\t\t\t" . '<li id="%1$s" class="widget-container %2$s">',
			'after_widget'   =>   "\n\t\t\t</li>\n",
			'before_title'   =>   "\n\t\t\t\t". '<h3 class="widget-title">',
			'after_title'    =>   "</h3>\n"
		) );
	
	
		// Shown in posts, attachments and images. Empty by default.
		register_sidebar( array(
			'name'			=> __('Secondary post sidebar', 'themetastico'),
			'id'			=> 'single_sidebar_secondary',
			'description'	=> __('Secondary sidebar to show in posts and attachments', 'themetastico'),
			'before_widget'  =>   "\n\t\t\t" . '<li id="%1$s" class="widget-container %2$s">',
			'after_widget'   =>   "\n\t\t\t</li>\n",
			'before_title'   =>   "\n\t\t\t\t". '<h3 class="widget-title">',
			'after_title'    =>   "</h3>\n"
		) );
	
		// Shown in pages. Empty by default.
		register_sidebar( array(
			'name'			=> __('Secondary pages sidebar', 'themetastico'),
			'id'			=> 'page_sidebar_secondary',
			'description'	=> __('Secondary sidebar to show in pages', 'themetastico'),
			'before_widget'  =>   "\n\t\t\t" . '<li id="%1$s" class="widget-container %2$s">',
			'after_widget'   =>   "\n\t\t\t</li>\n",
			'before_title'   =>   "\n\t\t\t\t". '<h3 class="widget-title">',
			'after_title'    =>   "</h3>\n"
		) );
	
		// Shown in archives (Categories, Tags, Dates, Authors). Empty by default.
		register_sidebar( array(
			'name'			=> __('Secondary archives sidebar', 'themetastico'),
			'id'			=> 'archive_sidebar_secondary',
			'description'	=> __('Secondary sidebar to show in archives', 'themetastico'),
			'before_widget'  =>   "\n\t\t\t" . '<li id="%1$s" class="widget-container %2$s">',
			'after_widget'   =>   "\n\t\t\t</li>\n",
			'before_title'   =>   "\n\t\t\t\t". '<h3 class="widget-title">',
			'after_title'    =>   "</h3>\n"
		) );
	
		// Shown in search results. Empty by default.
		register_sidebar( array(
			'name'			=> __('Secondary search sidebar', 'themetastico'),
			'id'			=> 'search_sidebar_secondary',
			'description'	=> __('Secondary sidebar to show in search results', 'themetastico'),
			'before_widget'  =>   "\n\t\t\t" . '<li id="%1$s" class="widget-container %2$s">',
			'after_widget'   =>   "\n\t\t\t</li>\n",
			'before_title'   =>   "\n\t\t\t\t". '<h3 class="widget-title">',
			'after_title'    =>   "</h3>\n"
		) );

	}

	// Register Follow Us widget
	register_widget( 'widget_themetastico_followus' );
	// Register FeedBurner Newsletter widget
	register_widget( 'widget_themetastico_newsletter' );
}

// Runs our code at the end to check that everything needed has loaded
add_action( 'widgets_init', 'themetastico_widgets_init' );

// Widget for Follow us
class widget_themetastico_followus extends WP_Widget {

	// Setting up the widget
	function widget_themetastico_followus() {
	
		// Widget settings
		$widget_ops = array( 'classname' => 'widget-themetastico-followus', 'description' => __( 'A widget that shows links to RSS and social networks', 'themetastico' ) );
		
		// Widget control settings
		$control_ops = array( 'width' => 200, 'height' => 350, 'id_base' => 'themetastico_followus' );

		// Create the widget
		$this->WP_Widget( 'themetastico_followus', __( 'Follow us', 'themetastico' ), $widget_ops, $control_ops );
	}

	// Displaying the widget
	function widget($args, $instance) {
		extract($args);
	?>
				<?php echo $before_widget ?>
				<?php widget_themetastico_followus(); ?>
				<?php echo $after_widget ?>
	<?php
	}
	
}

// Follow us widget content
function widget_themetastico_followus() {
?>
				<div class="follow-us-slogan"><?php _e('Stay updated', 'themetastico'); ?></div>
				<div class="follow-us-links">
					<a class="followus-subscribers" href="<?php $feed_url = themetastico_custom_rss_url() ? themetastico_custom_rss_url() : get_bloginfo('rss2_url'); echo $feed_url; ?>" title="<?php _e('RSS Feed', 'themetastico'); ?>">
						<span class="followus-icon"><?php _e('RSS Feed', 'themetastico'); ?></span> 
				<?php if( themetastico_show_subscribers() ) : // If want to show Feedburner subscribers ?>
						<span class="followus-service"><?php printf(__('%s', 'themetastico'), themetastico_show_subscribers()); ?></span>
				<?php else : ?>
						<span class="followus-service"><?php _e('RSS Feed', 'themetastico'); ?></span>
				<?php endif; // End want to show Feedburner subscribers ?>
						<span class="followus-tagline"><?php _e('Subscribe', 'themetastico'); ?></span>
					</a>
	<?php if(themetastico_twitter_user()) { // If it has twitter username ?>
					<a class="followus-followers" href="http://twitter.com/<?php echo themetastico_twitter_user(); ?>" title="<?php _e('Follow us!', 'themetastico'); ?>">
						<span class="followus-icon"><?php _e('Twitter', 'themetastico'); ?></span>
						<span class="followus-service"><?php _e('Twitter', 'themetastico'); ?></span>
						<span class="followus-tagline"><?php _e('Follow us!', 'themetastico'); ?></span>
					</a>
	<?php } // End has twitter username ?>
	<?php if(themetastico_facebook_page_url()) { // If it has facebook page ?>
					<a class="followus-fanspage" href="<?php echo themetastico_facebook_page_url(); ?>" title="<?php _e('Become a fan!', 'themetastico'); ?>">
						<span class="followus-icon"><?php _e('Facebook', 'themetastico'); ?></span>
						<span class="followus-service"><?php _e('Facebook', 'themetastico'); ?></span>
						<span class="followus-tagline"><?php _e('Become a fan!', 'themetastico'); ?></span>
					</a>
	<?php } // End has facebook page ?>
				</div>
<?php
}

// Widget for newsletter
class widget_themetastico_newsletter extends WP_Widget {

	// Setting up the widget
	function widget_themetastico_newsletter() {
	
		// Widget settings
		$widget_ops = array( 'classname' => 'widget-themetastico-newsletter', 'description' => __( 'A widget that shows a form to subscribe to Feedburner newsletter, first you must input your Feedburner ID', 'themetastico' ) );
		
		// Widget control settings
		$control_ops = array( 'width' => 200, 'height' => 350, 'id_base' => 'themetastico_newsletter' );

		// Create the widget
		$this->WP_Widget( 'themetastico_newsletter', __( 'Feedburner Newsletter', 'themetastico' ), $widget_ops, $control_ops );
	}

	// Displaying the widget
	function widget($args, $instance) {
		extract($args);
		
		if(themetastico_use_email_subscriptions()) { // use mail subscription
	?>
				<?php echo $before_widget ?>
					<?php echo $before_title ?><?php printf( __('Subscribe to our Newsletter', 'themetastico'), get_bloginfo('name') ); ?><?php echo $after_title ?>
					<form action="http://feedburner.google.com/fb/a/mailverify" method="post" target="popupwindow" onsubmit="window.open('http://feedburner.google.com/fb/a/mailverify?uri=carlosleopoldo', 'popupwindow', 'scrollbars=yes,width=550,height=600');return true">
						<input type="text" class="newsletter-text text" name="email" value="<?php _e('Your email', 'themetastico'); ?>" onblur="if(this.value == '')  {this.value = '<?php _e('Your email', 'themetastico'); ?>';}" onfocus="if(this.value == '<?php _e('Your email', 'themetastico'); ?>') {this.value = '';}" />
						<input type="hidden" value="<?php echo themetastico_feedburner_id(); ?>" name="uri" class="text" />
						<input type="hidden" name="loc" value="<?php _e('en_US', 'themetastico'); ?>" />
						<input type="submit" value="<?php _e('Subscribe', 'themetastico'); ?>" class="button newsletter-button" />
						<p><?php _e('You will receive an email with all the entries written during the day.', 'themetastico') ?></p>
					</form>
				<?php echo $after_widget ?>
	<?php
		}
	}
	
}

// Remove inline Recent Comments style
function themetastico_remove_recent_comments_style() {
	global $wp_widget_factory;
	remove_action('wp_head', array($wp_widget_factory->widgets['WP_Widget_Recent_Comments'], 'recent_comments_style'));
}
add_action('widgets_init', 'themetastico_remove_recent_comments_style');

?>